require 'test_helper'

class EnvManager::LoaderTest < Minitest::Test
  include TestHelper

  def test_loader
    env = EnvManager::Loader.new(App.root)

    refute_empty env.read
  end

  def test_load
    env = EnvManager.load(App.root)

    refute_nil env.database_url
    refute_nil ::ENV["DATABASE_URL"]

    assert_equal "development", env.rack_env
    assert_equal "development", ::ENV["RACK_ENV"]
  end

  def test_app_load
    assert_equal 'development', App.config.rack_env
    assert_equal 'postgres://robert@127.0.0.1:5432/get_the_rundown', App.config.database_url
  end

  def test_app_booleans
    assert App.config.development?
    refute App.config.test?
    refute App.config.staging?
    refute App.config.production?
  end

  def test_env
    assert_equal 'development', App.config.env
  end

end